# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

##################
###  ARTIK530  ###
##################
%package sub1-Preset_boards-ARTIK530_HAL_Backend
Summary:	ARTIK530 Selection for HAL
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Codec

%description sub1-Preset_boards-ARTIK530_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-ARTIK530_HAL_Backend

### ARTIK530-System_Device ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Summary:	ARTIK530_Deviced Plugin for HAL
Requires:	hal-backend-device-artik

%description sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for RPI.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device

### ARTIK530-Bluetooth ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Summary:	ARTIK530_Bluetooth for HAL
Requires:	bluetooth-firmware-marvell-artik530

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth

### ARTIK530-Audio ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Summary:	ARTIK530_Audio for HAL
Requires:	audio-hal-alc5658
Requires:	alsa-ucm-data-alc5658
Requires:	media-config-target-artik10

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Packages of Audio HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Audio

### ARTIK530-GPS ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Summary:	ARTIK530_GPS
Requires:	lbs-server-plugin-replay

%description sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Packages of GPS HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-GPS

### ARTIK530-Camera_Common ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Summary:	ARTIK530_Camera(Common) for HAL
Requires:	media-config-target-artik10
Requires:	camera-hal-v4l2

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for ARTIK530(Common).
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common

### ARTIK530-Display ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Summary:	ARTIK530_Display for HAL
Requires:	hal-backend-tbm-nexell
Requires:	hal-backend-tdm-nexell

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Packages of Display HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Display

### ARTIK530-Codec ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
Summary:	ARTIK530_Codec for HAL
Requires:	nx-gst-meta
Requires:	nx-video-api
Requires:	gst-plugins-video-dec
Requires:	gst-plugins-video-enc
Requires:	media-config-target-artik10

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
Packages of Codec HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
