# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

################
###  RPI3/4  ###
################
%package sub1-Preset_boards-RPI3_HAL_Backend
Summary:	RPI3 Selection for HAL
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Power
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-GPS
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-Codec
Requires:	%{name}-sub2-Preset_boards-RPI3_HAL_Backend-FlashManager

%description sub1-Preset_boards-RPI3_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-RPI3_HAL_Backend

### RPI3-Power ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Power
Summary:	RPI3_Power
Requires:	pass-hal-rpi

%description sub2-Preset_boards-RPI3_HAL_Backend-Power
Packages for PASS HAL and Feature for RPI.
%files sub2-Preset_boards-RPI3_HAL_Backend-Power

### RPI3-System_Device ###
%package sub2-Preset_boards-RPI3_HAL_Backend-System_Device
Summary:	RPI3_Deviced Plugin for HAL
Requires:	hal-backend-device-rpi

%description sub2-Preset_boards-RPI3_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for RPI.
%files sub2-Preset_boards-RPI3_HAL_Backend-System_Device

### RPI3-Bluetooth ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Bluetooth
Summary:	RPI3_Bluetooth for HAL
Requires:	bluetooth-firmware-bcm-rpi3

%description sub2-Preset_boards-RPI3_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-Bluetooth

### RPI3-Audio ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Audio
Summary:	RPI3_Audio for HAL
Requires:	audio-hal-bcm2837
Requires:	alsa-ucm-data-rpi3
Requires:	media-config-target-rpi3

%description sub2-Preset_boards-RPI3_HAL_Backend-Audio
Packages of Audio HAL and Feature for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-Audio

### RPI3-GPS ###
%package sub2-Preset_boards-RPI3_HAL_Backend-GPS
Summary:	RPI3_GPS
Requires:	lbs-server-plugin-replay

%description sub2-Preset_boards-RPI3_HAL_Backend-GPS
Packages of GPS HAL and Feature for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-GPS

### RPI3-Camera_Common ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Camera_Common
Summary:	RPI3_Camera(Common) for HAL
Requires:	camera-hal-v4l2
Requires:	media-config-target-rpi3

%description sub2-Preset_boards-RPI3_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for RPI3(Common).
%files sub2-Preset_boards-RPI3_HAL_Backend-Camera_Common

### RPI3-Display ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Display
Summary:	RPI3_Display for HAL
Requires:	hal-backend-tbm-vc4
Requires:	hal-backend-tdm-vc4

%description sub2-Preset_boards-RPI3_HAL_Backend-Display
Packages of Display HAL and Feature for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-Display

### RPI3-Codec ###
%package sub2-Preset_boards-RPI3_HAL_Backend-Codec
Summary:	RPI3_Codec for HAL
Requires:	media-config-target-rpi3

%description sub2-Preset_boards-RPI3_HAL_Backend-Codec
Packages of Codec HAL and Feature for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-Codec

### RPI3-FlashManager ###
%package sub2-Preset_boards-RPI3_HAL_Backend-FlashManager
Summary:	RPI3_FlashManager for HAL
Requires:	fm-data-rpi3

%description sub2-Preset_boards-RPI3_HAL_Backend-FlashManager
Packages of Partition Data of FlashManager for RPI3.
%files sub2-Preset_boards-RPI3_HAL_Backend-FlashManager
